EAPI EAPI_WEAK const Efl_Event_Description _EFL_LAYOUT_EVENT_PART_INVALID =
   EFL_EVENT_DESCRIPTION("part,invalid");

void _efl_canvas_layout_animated_set(Eo *obj, Edje *pd, Eina_Bool on);


static Eina_Error
__eolian_efl_canvas_layout_animated_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_layout_animated_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_layout_animated_set, EFL_FUNC_CALL(on), Eina_Bool on);

Eina_Bool _efl_canvas_layout_animated_get(const Eo *obj, Edje *pd);


static Eina_Value
__eolian_efl_canvas_layout_animated_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_layout_animated_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_canvas_layout_animated_get, Eina_Bool, 0);

Eina_Iterator *_efl_canvas_layout_access_part_iterate(Eo *obj, Edje *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY(efl_canvas_layout_access_part_iterate, Eina_Iterator *, NULL);

Efl_Input_Device *_efl_canvas_layout_seat_get(const Eo *obj, Edje *pd, Eina_Stringshare *name);

EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_canvas_layout_seat_get, Efl_Input_Device *, NULL, EFL_FUNC_CALL(name), Eina_Stringshare *name);

Eina_Stringshare *_efl_canvas_layout_seat_name_get(const Eo *obj, Edje *pd, Efl_Input_Device *device);

EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_canvas_layout_seat_name_get, Eina_Stringshare *, NULL, EFL_FUNC_CALL(device), Efl_Input_Device *device);

Eina_Error _efl_canvas_layout_layout_load_error_get(const Eo *obj, Edje *pd);


static Eina_Value
__eolian_efl_canvas_layout_layout_load_error_get_reflect(const Eo *obj)
{
   Eina_Error val = efl_canvas_layout_load_error_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_canvas_layout_load_error_get, Eina_Error, 0);

Eina_Bool _efl_canvas_layout_content_remove(Eo *obj, Edje *pd, Efl_Gfx_Entity *content);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_canvas_layout_content_remove, Eina_Bool, 0, EFL_FUNC_CALL(content), Efl_Gfx_Entity *content);

void _efl_canvas_layout_efl_gfx_entity_visible_set(Eo *obj, Edje *pd, Eina_Bool v);


void _efl_canvas_layout_efl_gfx_entity_position_set(Eo *obj, Edje *pd, Eina_Position2D pos);


void _efl_canvas_layout_efl_gfx_entity_size_set(Eo *obj, Edje *pd, Eina_Size2D size);


Efl_Object *_efl_canvas_layout_efl_object_constructor(Eo *obj, Edje *pd);


void _efl_canvas_layout_efl_object_invalidate(Eo *obj, Edje *pd);


void _efl_canvas_layout_efl_object_debug_name_override(Eo *obj, Edje *pd, Eina_Strbuf *sb);


void _efl_canvas_layout_efl_canvas_object_no_render_set(Eo *obj, Edje *pd, Eina_Bool enable);


void _efl_canvas_layout_efl_canvas_object_paragraph_direction_set(Eo *obj, Edje *pd, Efl_Text_Bidirectional_Type dir);


Eina_Bool _efl_canvas_layout_efl_gfx_color_class_color_class_set(Eo *obj, Edje *pd, const char *color_class, Efl_Gfx_Color_Class_Layer layer, int r, int g, int b, int a);


Eina_Bool _efl_canvas_layout_efl_gfx_color_class_color_class_get(const Eo *obj, Edje *pd, const char *color_class, Efl_Gfx_Color_Class_Layer layer, int *r, int *g, int *b, int *a);


const char *_efl_canvas_layout_efl_gfx_color_class_color_class_description_get(const Eo *obj, Edje *pd, const char *color_class);


void _efl_canvas_layout_efl_gfx_color_class_color_class_del(Eo *obj, Edje *pd, const char *color_class);


void _efl_canvas_layout_efl_gfx_color_class_color_class_clear(Eo *obj, Edje *pd);


Eina_Bool _efl_canvas_layout_efl_gfx_text_class_text_class_set(Eo *obj, Edje *pd, const char *text_class, const char *font, Efl_Font_Size size);


Eina_Bool _efl_canvas_layout_efl_gfx_text_class_text_class_get(const Eo *obj, Edje *pd, const char *text_class, const char **font, Efl_Font_Size *size);


void _efl_canvas_layout_efl_gfx_text_class_text_class_del(Eo *obj, Edje *pd, const char *text_class);


Eina_Bool _efl_canvas_layout_efl_gfx_size_class_size_class_set(Eo *obj, Edje *pd, const char *size_class, int minw, int minh, int maxw, int maxh);


Eina_Bool _efl_canvas_layout_efl_gfx_size_class_size_class_get(const Eo *obj, Edje *pd, const char *size_class, int *minw, int *minh, int *maxw, int *maxh);


void _efl_canvas_layout_efl_gfx_size_class_size_class_del(Eo *obj, Edje *pd, const char *size_class);


void _efl_canvas_layout_efl_canvas_group_group_calculate(Eo *obj, Edje *pd);


void _efl_canvas_layout_efl_layout_calc_calc_auto_update_hints_set(Eo *obj, Edje *pd, Eina_Bool update);


Eina_Bool _efl_canvas_layout_efl_layout_calc_calc_auto_update_hints_get(const Eo *obj, Edje *pd);


Eina_Size2D _efl_canvas_layout_efl_layout_calc_calc_size_min(Eo *obj, Edje *pd, Eina_Size2D restricted);


Eina_Rect _efl_canvas_layout_efl_layout_calc_calc_parts_extends(Eo *obj, Edje *pd);


int _efl_canvas_layout_efl_layout_calc_calc_freeze(Eo *obj, Edje *pd);


int _efl_canvas_layout_efl_layout_calc_calc_thaw(Eo *obj, Edje *pd);


void _efl_canvas_layout_efl_layout_calc_calc_force(Eo *obj, Edje *pd);


Eina_Size2D _efl_canvas_layout_efl_layout_group_group_size_min_get(const Eo *obj, Edje *pd);


Eina_Size2D _efl_canvas_layout_efl_layout_group_group_size_max_get(const Eo *obj, Edje *pd);


const char *_efl_canvas_layout_efl_layout_group_group_data_get(const Eo *obj, Edje *pd, const char *key);


Eina_Bool _efl_canvas_layout_efl_layout_group_part_exist_get(const Eo *obj, Edje *pd, const char *part);


void _efl_canvas_layout_efl_layout_signal_message_send(Eo *obj, Edje *pd, int id, const Eina_Value msg);


Eina_Bool _efl_canvas_layout_efl_layout_signal_signal_callback_add(Eo *obj, Edje *pd, const char *emission, const char *source, void *func_data, EflLayoutSignalCb func, Eina_Free_Cb func_free_cb);


Eina_Bool _efl_canvas_layout_efl_layout_signal_signal_callback_del(Eo *obj, Edje *pd, const char *emission, const char *source, void *func_data, EflLayoutSignalCb func, Eina_Free_Cb func_free_cb);


void _efl_canvas_layout_efl_layout_signal_signal_emit(Eo *obj, Edje *pd, const char *emission, const char *source);


void _efl_canvas_layout_efl_layout_signal_signal_process(Eo *obj, Edje *pd, Eina_Bool recurse);


void _efl_canvas_layout_efl_ui_i18n_mirrored_set(Eo *obj, Edje *pd, Eina_Bool rtl);


Eina_Bool _efl_canvas_layout_efl_ui_i18n_mirrored_get(const Eo *obj, Edje *pd);


void _efl_canvas_layout_efl_ui_i18n_language_set(Eo *obj, Edje *pd, const char *language);


const char *_efl_canvas_layout_efl_ui_i18n_language_get(const Eo *obj, Edje *pd);


void _efl_canvas_layout_efl_gfx_entity_scale_set(Eo *obj, Edje *pd, double scale);


double _efl_canvas_layout_efl_gfx_entity_scale_get(const Eo *obj, Edje *pd);


Eina_Error _efl_canvas_layout_efl_file_load(Eo *obj, Edje *pd);


void _efl_canvas_layout_efl_file_unload(Eo *obj, Edje *pd);


Eina_Iterator *_efl_canvas_layout_efl_container_content_iterate(Eo *obj, Edje *pd);


int _efl_canvas_layout_efl_container_content_count(Eo *obj, Edje *pd);


Efl_Object *_efl_canvas_layout_efl_part_part_get(const Eo *obj, Edje *pd, const char *name);


void _efl_canvas_layout_efl_observer_update(Eo *obj, Edje *pd, Efl_Object *obs, const char *key, void *data);


Eina_Bool _efl_canvas_layout_efl_playable_playable_get(const Eo *obj, Edje *pd);


static Eina_Bool __eolian_efl_canvas_layout_efl_player_playing_set(Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED, Eina_Bool playing EINA_UNUSED)
{
   return EINA_FALSE /* false */;
}


static Eina_Bool __eolian_efl_canvas_layout_efl_player_playing_get(const Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED)
{
   return 0;
}


Eina_Bool _efl_canvas_layout_efl_player_paused_set(Eo *obj, Edje *pd, Eina_Bool paused);


Eina_Bool _efl_canvas_layout_efl_player_paused_get(const Eo *obj, Edje *pd);


static void __eolian_efl_canvas_layout_efl_player_playback_position_set(Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED, double sec EINA_UNUSED)
{
}


static double __eolian_efl_canvas_layout_efl_player_playback_position_get(const Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED)
{
   return 0;
}


static void __eolian_efl_canvas_layout_efl_player_playback_progress_set(Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED, double progress EINA_UNUSED)
{
}


static double __eolian_efl_canvas_layout_efl_player_playback_progress_get(const Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED)
{
   return 0;
}


void _efl_canvas_layout_efl_player_playback_speed_set(Eo *obj, Edje *pd, double speed);


double _efl_canvas_layout_efl_player_playback_speed_get(const Eo *obj, Edje *pd);


static void __eolian_efl_canvas_layout_efl_player_autoplay_set(Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED, Eina_Bool autoplay EINA_UNUSED)
{
}


static Eina_Bool __eolian_efl_canvas_layout_efl_player_autoplay_get(const Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED)
{
   return 0;
}


static void __eolian_efl_canvas_layout_efl_player_playback_loop_set(Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED, Eina_Bool looping EINA_UNUSED)
{
}


static Eina_Bool __eolian_efl_canvas_layout_efl_player_playback_loop_get(const Eo *obj EINA_UNUSED, Edje *pd EINA_UNUSED)
{
   return 0;
}


static Eina_Bool
_efl_canvas_layout_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_LAYOUT_EXTRA_OPS
#define EFL_CANVAS_LAYOUT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_animated_set, _efl_canvas_layout_animated_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_animated_get, _efl_canvas_layout_animated_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_access_part_iterate, _efl_canvas_layout_access_part_iterate),
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_seat_get, _efl_canvas_layout_seat_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_seat_name_get, _efl_canvas_layout_seat_name_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_load_error_get, _efl_canvas_layout_layout_load_error_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_content_remove, _efl_canvas_layout_content_remove),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_canvas_layout_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_canvas_layout_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_canvas_layout_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_layout_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_canvas_layout_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_debug_name_override, _efl_canvas_layout_efl_object_debug_name_override),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_no_render_set, _efl_canvas_layout_efl_canvas_object_no_render_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_paragraph_direction_set, _efl_canvas_layout_efl_canvas_object_paragraph_direction_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_set, _efl_canvas_layout_efl_gfx_color_class_color_class_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_get, _efl_canvas_layout_efl_gfx_color_class_color_class_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_description_get, _efl_canvas_layout_efl_gfx_color_class_color_class_description_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_del, _efl_canvas_layout_efl_gfx_color_class_color_class_del),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_clear, _efl_canvas_layout_efl_gfx_color_class_color_class_clear),
      EFL_OBJECT_OP_FUNC(efl_gfx_text_class_set, _efl_canvas_layout_efl_gfx_text_class_text_class_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_text_class_get, _efl_canvas_layout_efl_gfx_text_class_text_class_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_text_class_del, _efl_canvas_layout_efl_gfx_text_class_text_class_del),
      EFL_OBJECT_OP_FUNC(efl_gfx_size_class_set, _efl_canvas_layout_efl_gfx_size_class_size_class_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_size_class_get, _efl_canvas_layout_efl_gfx_size_class_size_class_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_size_class_del, _efl_canvas_layout_efl_gfx_size_class_size_class_del),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_calculate, _efl_canvas_layout_efl_canvas_group_group_calculate),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_auto_update_hints_set, _efl_canvas_layout_efl_layout_calc_calc_auto_update_hints_set),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_auto_update_hints_get, _efl_canvas_layout_efl_layout_calc_calc_auto_update_hints_get),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_size_min, _efl_canvas_layout_efl_layout_calc_calc_size_min),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_parts_extends, _efl_canvas_layout_efl_layout_calc_calc_parts_extends),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_freeze, _efl_canvas_layout_efl_layout_calc_calc_freeze),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_thaw, _efl_canvas_layout_efl_layout_calc_calc_thaw),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_force, _efl_canvas_layout_efl_layout_calc_calc_force),
      EFL_OBJECT_OP_FUNC(efl_layout_group_size_min_get, _efl_canvas_layout_efl_layout_group_group_size_min_get),
      EFL_OBJECT_OP_FUNC(efl_layout_group_size_max_get, _efl_canvas_layout_efl_layout_group_group_size_max_get),
      EFL_OBJECT_OP_FUNC(efl_layout_group_data_get, _efl_canvas_layout_efl_layout_group_group_data_get),
      EFL_OBJECT_OP_FUNC(efl_layout_group_part_exist_get, _efl_canvas_layout_efl_layout_group_part_exist_get),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_message_send, _efl_canvas_layout_efl_layout_signal_message_send),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_callback_add, _efl_canvas_layout_efl_layout_signal_signal_callback_add),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_callback_del, _efl_canvas_layout_efl_layout_signal_signal_callback_del),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_emit, _efl_canvas_layout_efl_layout_signal_signal_emit),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_process, _efl_canvas_layout_efl_layout_signal_signal_process),
      EFL_OBJECT_OP_FUNC(efl_ui_mirrored_set, _efl_canvas_layout_efl_ui_i18n_mirrored_set),
      EFL_OBJECT_OP_FUNC(efl_ui_mirrored_get, _efl_canvas_layout_efl_ui_i18n_mirrored_get),
      EFL_OBJECT_OP_FUNC(efl_ui_language_set, _efl_canvas_layout_efl_ui_i18n_language_set),
      EFL_OBJECT_OP_FUNC(efl_ui_language_get, _efl_canvas_layout_efl_ui_i18n_language_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_scale_set, _efl_canvas_layout_efl_gfx_entity_scale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_scale_get, _efl_canvas_layout_efl_gfx_entity_scale_get),
      EFL_OBJECT_OP_FUNC(efl_file_load, _efl_canvas_layout_efl_file_load),
      EFL_OBJECT_OP_FUNC(efl_file_unload, _efl_canvas_layout_efl_file_unload),
      EFL_OBJECT_OP_FUNC(efl_content_iterate, _efl_canvas_layout_efl_container_content_iterate),
      EFL_OBJECT_OP_FUNC(efl_content_count, _efl_canvas_layout_efl_container_content_count),
      EFL_OBJECT_OP_FUNC(efl_part_get, _efl_canvas_layout_efl_part_part_get),
      EFL_OBJECT_OP_FUNC(efl_observer_update, _efl_canvas_layout_efl_observer_update),
      EFL_OBJECT_OP_FUNC(efl_playable_get, _efl_canvas_layout_efl_playable_playable_get),
      EFL_OBJECT_OP_FUNC(efl_player_playing_set, __eolian_efl_canvas_layout_efl_player_playing_set),
      EFL_OBJECT_OP_FUNC(efl_player_playing_get, __eolian_efl_canvas_layout_efl_player_playing_get),
      EFL_OBJECT_OP_FUNC(efl_player_paused_set, _efl_canvas_layout_efl_player_paused_set),
      EFL_OBJECT_OP_FUNC(efl_player_paused_get, _efl_canvas_layout_efl_player_paused_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_position_set, __eolian_efl_canvas_layout_efl_player_playback_position_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_position_get, __eolian_efl_canvas_layout_efl_player_playback_position_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_progress_set, __eolian_efl_canvas_layout_efl_player_playback_progress_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_progress_get, __eolian_efl_canvas_layout_efl_player_playback_progress_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_speed_set, _efl_canvas_layout_efl_player_playback_speed_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_speed_get, _efl_canvas_layout_efl_player_playback_speed_get),
      EFL_OBJECT_OP_FUNC(efl_player_autoplay_set, __eolian_efl_canvas_layout_efl_player_autoplay_set),
      EFL_OBJECT_OP_FUNC(efl_player_autoplay_get, __eolian_efl_canvas_layout_efl_player_autoplay_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_loop_set, __eolian_efl_canvas_layout_efl_player_playback_loop_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_loop_get, __eolian_efl_canvas_layout_efl_player_playback_loop_get),
      EFL_CANVAS_LAYOUT_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"animated", __eolian_efl_canvas_layout_animated_set_reflect, __eolian_efl_canvas_layout_animated_get_reflect},
      {"layout_load_error", NULL, __eolian_efl_canvas_layout_layout_load_error_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_layout_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Layout",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Edje),
   _efl_canvas_layout_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_layout_class_get, &_efl_canvas_layout_class_desc, EFL_CANVAS_GROUP_CLASS, EFL_FILE_MIXIN, EFL_CONTAINER_INTERFACE, EFL_PART_INTERFACE, EFL_OBSERVER_INTERFACE, EFL_UI_I18N_INTERFACE, EFL_LAYOUT_CALC_INTERFACE, EFL_LAYOUT_SIGNAL_INTERFACE, EFL_LAYOUT_GROUP_INTERFACE, EFL_PLAYER_INTERFACE, EFL_PLAYABLE_INTERFACE, EFL_GFX_COLOR_CLASS_MIXIN, EFL_GFX_TEXT_CLASS_INTERFACE, EFL_GFX_SIZE_CLASS_INTERFACE, NULL);
